> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# Generate random fingerprint

POST http://127.0.0.1:58931/api/profiles/fingerprint/random
Content-Type: application/json

Generate a coherent set of fingerprint values (or only `required_types`). Useful for filling `user_agent`/`webgl_info`/`mac_address` etc.

`system_os` (`Windows`|`Mac OS X`) and `system_version` required. `required_types` values: `user_agent`, `webgl_info`, `cpu`, `device_memory`, `mac_address`, `fonts`, `device_name`, `audio_context`, `client_rects`, `canvas_id`, `webgl_id` (omit for a full set).

**Errors:** `2003 MISSING_PARAM` if `system_os`/`system_version` missing.

Reference: https://docs.flashid.app/api-reference/profiles/generate-random-fingerprint

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/profiles/fingerprint/random:
    post:
      operationId: generate-random-fingerprint
      summary: Generate random fingerprint
      description: >-
        Generate a coherent set of fingerprint values (or only
        `required_types`). Useful for filling
        `user_agent`/`webgl_info`/`mac_address` etc.


        `system_os` (`Windows`|`Mac OS X`) and `system_version` required.
        `required_types` values: `user_agent`, `webgl_info`, `cpu`,
        `device_memory`, `mac_address`, `fonts`, `device_name`, `audio_context`,
        `client_rects`, `canvas_id`, `webgl_id` (omit for a full set).


        **Errors:** `2003 MISSING_PARAM` if `system_os`/`system_version`
        missing.
      tags:
        - subpackage_profiles
      parameters:
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Profiles_Generate random
                  fingerprint_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                system_os:
                  type: string
                required_types:
                  type: array
                  items:
                    type: string
                system_version:
                  type: string
              required:
                - system_os
                - required_types
                - system_version
servers:
  - url: http://127.0.0.1:58931
    description: http://127.0.0.1:58931
components:
  schemas:
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataCpu:
      type: object
      properties:
        mode:
          type: string
        cpu_value:
          type: integer
      required:
        - mode
        - cpu_value
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataCpu
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataFonts:
      type: object
      properties:
        mode:
          type: string
        fonts_value:
          type: array
          items:
            description: Any type
      required:
        - mode
        - fonts_value
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataFonts
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataWebglId:
      type: object
      properties:
        mode:
          type: string
        webgl_id_value:
          type: integer
      required:
        - mode
        - webgl_id_value
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataWebglId
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataCanvasId:
      type: object
      properties:
        mode:
          type: string
        canvas_id_value:
          type: integer
      required:
        - mode
        - canvas_id_value
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataCanvasId
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataWebglInfo:
      type: object
      properties:
        unmasked_vendor:
          type: string
        unmasked_renderer:
          type: string
        gpu_adapterinfo_vendor:
          type: string
        gpu_adapterinfo_architecture:
          type: string
      required:
        - unmasked_vendor
        - unmasked_renderer
        - gpu_adapterinfo_vendor
        - gpu_adapterinfo_architecture
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataWebglInfo
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataDeviceName:
      type: object
      properties:
        mode:
          type: string
        value:
          type: string
      required:
        - mode
        - value
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataDeviceName
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataMacAddress:
      type: object
      properties:
        mode:
          type: string
        value:
          type: string
      required:
        - mode
        - value
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataMacAddress
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataClientHints:
      type: object
      properties: {}
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataClientHints
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataClientRects:
      type: object
      properties:
        mode:
          type: string
        client_rects_value:
          type: number
          format: double
      required:
        - mode
        - client_rects_value
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataClientRects
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataAudioContext:
      type: object
      properties:
        mode:
          type: string
        audio_context_value:
          type: number
          format: double
      required:
        - mode
        - audio_context_value
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataAudioContext
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataDeviceMemory:
      type: object
      properties:
        mode:
          type: string
        memory_value:
          type: integer
      required:
        - mode
        - memory_value
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataDeviceMemory
    ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        cpu:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataCpu
        fonts:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataFonts
        webgl_id:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataWebglId
        canvas_id:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataCanvasId
        user_agent:
          type: string
        webgl_info:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataWebglInfo
        device_name:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataDeviceName
        mac_address:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataMacAddress
        client_hints:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataClientHints
        client_rects:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataClientRects
        audio_context:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataAudioContext
        device_memory:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaDataDeviceMemory
      required:
        - cpu
        - fonts
        - webgl_id
        - canvas_id
        - user_agent
        - webgl_info
        - device_name
        - mac_address
        - client_hints
        - client_rects
        - audio_context
        - device_memory
      title: >-
        ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaData
    Profiles_Generate random fingerprint_Response_200:
      type: object
      properties:
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiProfilesFingerprintRandomPostResponsesContentApplicationJsonSchemaData
        success:
          type: boolean
      required:
        - code
        - data
        - success
      title: Profiles_Generate random fingerprint_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Request**

```json
{
  "system_os": "Windows",
  "required_types": [
    "user_agent"
  ],
  "system_version": "Windows 11"
}
```

**Response**

```json
{
  "code": 0,
  "data": {
    "cpu": {
      "mode": "random",
      "cpu_value": 8
    },
    "fonts": {
      "mode": "auto",
      "fonts_value": []
    },
    "webgl_id": {
      "mode": "noise",
      "webgl_id_value": 8
    },
    "canvas_id": {
      "mode": "noise",
      "canvas_id_value": 12
    },
    "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) ...",
    "webgl_info": {
      "unmasked_vendor": "Google Inc. (Intel)",
      "unmasked_renderer": "ANGLE (Intel, ...)",
      "gpu_adapterinfo_vendor": "intel",
      "gpu_adapterinfo_architecture": "..."
    },
    "device_name": {
      "mode": "random",
      "value": "DESKTOP-XXXX"
    },
    "mac_address": {
      "mode": "random",
      "value": "00:11:22:33:44:55"
    },
    "client_hints": {},
    "client_rects": {
      "mode": "noise",
      "client_rects_value": 0.0001
    },
    "audio_context": {
      "mode": "noise",
      "audio_context_value": 35.7
    },
    "device_memory": {
      "mode": "random",
      "memory_value": 16
    }
  },
  "success": true
}
```

**SDK Code**

```python Profiles_Generate random fingerprint_example
import requests

url = "http://127.0.0.1:58931/api/profiles/fingerprint/random"

payload = {
    "system_os": "Windows",
    "required_types": ["user_agent"],
    "system_version": "Windows 11"
}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Profiles_Generate random fingerprint_example
const url = 'http://127.0.0.1:58931/api/profiles/fingerprint/random';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"system_os":"Windows","required_types":["user_agent"],"system_version":"Windows 11"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Profiles_Generate random fingerprint_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/profiles/fingerprint/random"

	payload := strings.NewReader("{\n  \"system_os\": \"Windows\",\n  \"required_types\": [\n    \"user_agent\"\n  ],\n  \"system_version\": \"Windows 11\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Profiles_Generate random fingerprint_example
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/profiles/fingerprint/random")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"system_os\": \"Windows\",\n  \"required_types\": [\n    \"user_agent\"\n  ],\n  \"system_version\": \"Windows 11\"\n}"

response = http.request(request)
puts response.read_body
```

```java Profiles_Generate random fingerprint_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("http://127.0.0.1:58931/api/profiles/fingerprint/random")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"system_os\": \"Windows\",\n  \"required_types\": [\n    \"user_agent\"\n  ],\n  \"system_version\": \"Windows 11\"\n}")
  .asString();
```

```php Profiles_Generate random fingerprint_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'http://127.0.0.1:58931/api/profiles/fingerprint/random', [
  'body' => '{
  "system_os": "Windows",
  "required_types": [
    "user_agent"
  ],
  "system_version": "Windows 11"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Profiles_Generate random fingerprint_example
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/profiles/fingerprint/random");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"system_os\": \"Windows\",\n  \"required_types\": [\n    \"user_agent\"\n  ],\n  \"system_version\": \"Windows 11\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Profiles_Generate random fingerprint_example
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "system_os": "Windows",
  "required_types": ["user_agent"],
  "system_version": "Windows 11"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/profiles/fingerprint/random")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```